GNU Radio C++ API Reference: rpcserver_aggregator Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcserver_aggregator Class Reference

`#include <gnuradio/rpcserver_aggregator.h>`

## Public Member Functions
| rpcserver_aggregator ()
| ~rpcserver_aggregator () override
void | registerConfigureCallback (const std::string &id, const configureCallback_t callback) override
void | unregisterConfigureCallback (const std::string &id) override
void | registerQueryCallback (const std::string &id, const queryCallback_t callback) override
void | unregisterQueryCallback (const std::string &id) override
void | registerHandlerCallback (const std::string &id, const handlerCallback_t callback) override
void | unregisterHandlerCallback (const std::string &id) override
void | registerServer (rpcmanager_base::rpcserver_booter_base_sptr server)
const std::string & | type ()
const std::vector< std::string > & | registeredServers ()
Public Member Functions inherited from rpcserver_base
| rpcserver_base ()
| ~rpcserver_base () override
virtual void | setCurPrivLevel (const priv_lvl_t priv)
Public Member Functions inherited from callbackregister_base
| callbackregister_base ()
virtual | ~callbackregister_base ()

## Additional Inherited Members
Public Types inherited from callbackregister_base
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | configureCallback_t
typedef callback_t< gr::messages::msg_producer, gr::messages::msg_producer_sptr > | queryCallback_t
typedef callback_t< gr::messages::msg_accepter, gr::messages::msg_accepter_sptr > | handlerCallback_t
Protected Attributes inherited from rpcserver_base
priv_lvl_t | cur_priv

## Constructor & Destructor Documentation

## ◆ rpcserver_aggregator()

rpcserver_aggregator::rpcserver_aggregator | ( |  | ) |

## ◆ ~rpcserver_aggregator()

rpcserver_aggregator::~rpcserver_aggregator | ( |  | ) |
| override

## Member Function Documentation

## ◆ registerConfigureCallback()

void rpcserver_aggregator::registerConfigureCallback | ( | const std::string & | id,
|  | const configureCallback_t | callback )
| overridevirtual

Implements rpcserver_base.

## ◆ registeredServers()

const std::vector< std::string > & rpcserver_aggregator::registeredServers | ( |  | ) |

## ◆ registerHandlerCallback()

void rpcserver_aggregator::registerHandlerCallback | ( | const std::string & | id,
|  | const handlerCallback_t | callback )
| overridevirtual

Implements rpcserver_base.

## ◆ registerQueryCallback()

void rpcserver_aggregator::registerQueryCallback | ( | const std::string & | id,
|  | const queryCallback_t | callback )
| overridevirtual

Implements rpcserver_base.

## ◆ registerServer()

void rpcserver_aggregator::registerServer | ( | rpcmanager_base::rpcserver_booter_base_sptr | server | ) |

## ◆ type()

const std::string & rpcserver_aggregator::type | ( |  | ) |

## ◆ unregisterConfigureCallback()

void rpcserver_aggregator::unregisterConfigureCallback | ( | const std::string & | id | ) |
| overridevirtual

Implements rpcserver_base.

## ◆ unregisterHandlerCallback()

void rpcserver_aggregator::unregisterHandlerCallback | ( | const std::string & | id | ) |
| overridevirtual

Implements rpcserver_base.

## ◆ unregisterQueryCallback()

void rpcserver_aggregator::unregisterQueryCallback | ( | const std::string & | id | ) |
| overridevirtual

Implements rpcserver_base.

The documentation for this class was generated from the following file:

- rpcserver_aggregator.h